# Class: GridActionButtonComponent

## GridActionButtonComponent()

Component representing an action button that can be embedded in the shared grid.

## Constructor

#### new GridActionButtonComponent()

Source:
  - frontend/src/components/GridActionButton.component.js, line 17

### Extends

- Component

### Members

#### color :string

The CSS color of the action button.

##### Type:

- string

Source:
  - frontend/src/components/GridActionButton.component.js, line 32

#### hidden :boolean

If true, the action button will be hidden.

##### Type:

- boolean

Source:
  - frontend/src/components/GridActionButton.component.js, line 38

#### text :string

The text shown on the action button.

##### Type:

- string

Source:
  - frontend/src/components/GridActionButton.component.js, line 26

### Methods

#### on_click($event)

Called when the button is clicked. Emits a click event and updates the text, color, and hide status.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$event` | MouseEvent |

Source:
  - frontend/src/components/GridActionButton.component.js, line 107

#### update_color()

Determine the color to show on the button based on the column definition.

Source:
  - frontend/src/components/GridActionButton.component.js, line 82

#### update_hidden()

Determine whether the button should be shown or not, based on the column definition.

Source:
  - frontend/src/components/GridActionButton.component.js, line 93

#### update_text()

Determine the text to show on the button based on the column definition.

Source:
  - frontend/src/components/GridActionButton.component.js, line 71

#### (async) vue_on_create() → {Promise.<void>}

Called when the component is instantiated. Updates the text, color, and hide status.

Source:
  - frontend/src/components/GridActionButton.component.js, line 44

##### Returns:

Type
  Promise.<void>

#### watch_col()

Called when the column value changes. Updates the text, color, and hide status.

Source:
  - frontend/src/components/GridActionButton.component.js, line 62

#### watch_row()

Called when the row value changes. Updates the text, color, and hide status.

Source:
  - frontend/src/components/GridActionButton.component.js, line 53